#include "CS_KanpaAir.h"
const int CS_KanpaSTATENAME_AIR = GetNextEntityStateID();
CS_KanpaAir::CS_KanpaAir()
{
	stateID = CS_KanpaSTATENAME_AIR;
}

void CS_KanpaAir::SetAir(int index)
{
	auto we = e.lock();
	if (!we)
		return;

	//ÉèÖÃ¶¯»­
	const wchar_t* jump = L"";
	if (we->ud == -1)
		jump = we->lr == 0 ? L"mc_kanpa_jump_lu" : L"mc_kanpa_jump_ru";
	else if (we->ud == 0)
		jump = we->lr == 0 ? L"mc_kanpa_jump_l" : L"mc_kanpa_jump_r";
	else if (we->ud == 1)
		jump = we->lr == 0 ? L"mc_kanpa_jump_ld" : L"mc_kanpa_jump_rd";
	we->ani.sprite_index = jump;
	we->ani.image_index = index;
}

void CS_KanpaAir::State()
{
	auto we = e.lock();
	if (!we)
		return;

	if (we->vy < 0)
		SetAir(0);
	else
		SetAir(1);
}

void CS_KanpaAir::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
